﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CandleZooming
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        TestingValuesCollection collection;
        ObservableCollection<TestingValues> selectedValue { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            collection = new TestingValuesCollection();
            candle.ItemsSource = collection.TestingModel; 
            selectedValue = new ObservableCollection<TestingValues>();
        }

        private void SfChart_PanChanging(object sender, PanChangingEventArgs e)
        {
            
            if (selectedValue.Count > 0)
                selectedValue.Clear();
            var primaryAxis = (sender as SfChart).PrimaryAxis as CategoryAxis;
            var start = Math.Round(primaryAxis.VisibleRange.Start);
            var end = Math.Round(primaryAxis.VisibleRange.End);
            for (int i = (int)start; i < (int)end; i++)
                selectedValue.Add(collection.TestingModel[i]);
            var max = (from values in selectedValue select values.Y).Max();
            var min = (from values in selectedValue select values.Y1).Min();
            yAxis.Minimum = min; 
            yAxis.Maximum = max; 
        }
    }
}
